<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Library</OutputType>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <ApplicationIcon />
    <StartupObject />
    <Configurations>Debug;Release;ServerBuild</Configurations>
    <Platforms>AnyCPU;x64</Platforms>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <PlatformTarget>x64</PlatformTarget>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <PlatformTarget>x64</PlatformTarget>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Gui\vehiclemenu\web\**" />
    <Compile Remove="Jobs\BusDriver\**" />
    <Compile Remove="tmp\**" />
    <EmbeddedResource Remove="Gui\vehiclemenu\web\**" />
    <EmbeddedResource Remove="Jobs\BusDriver\**" />
    <EmbeddedResource Remove="tmp\**" />
    <None Remove="Gui\vehiclemenu\web\**" />
    <None Remove="Jobs\BusDriver\**" />
    <None Remove="tmp\**" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="assets\css\atm\" />
    <Folder Include="assets\img\atm\" />
    <Folder Include="assets\img\items\" />
    <Folder Include="assets\sound\jobs\busfahrer\" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="rage-sharp">
      <HintPath>..\Import\rage-sharp.dll</HintPath>
    </Reference>
  </ItemGroup>
  
</Project>
